> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-0-6/documentation/industry-protocol-details/bacnet/bacnetendpoint.md).

# BACnet Endpoint Properties

## `objectType` (string, enum, required)

Identifier of the BACnet object type of this endpoint

This element must be one of the following enum values:

* `analog-input`
* `analog-output`
* `analog-value`
* `binary-input`
* `binary-output`
* `binary-value`
* `calendar`
* `command`
* `device`
* `event-enrollment`
* `file`
* `group`
* `loop`
* `multi-state-input`
* `multi-state-output`
* `notification-class`
* `program`
* `schedule`

Example: `"analog-input"`

## `objectInstance` (integer, required)

Integer number to describe the concrete object instance that should be accessed

Example: `1`

## `property` (string, required)

The name of this property. The most common property has the name present-value. Other typically available property names are: object-name, description, status-flags, units. On the device object the properties location, object-list and system\_status are typically available

Example: `"present-value"`

## `interval` (integer)

The poll interval in milliseconds

Default: `1000`

Example: `1000`

## `cronExpression` (string)

The Cron expression used to poll the endpoint. (For examples, see: <https://github.com/node-cron/node-cron>)

Examples: `"1,2,4,5 * * * *"`, `"1-5 * * * *"`, `"*/2 * * * *"`, `"* * * January,September Sunday"`

## `priority` (integer)

Only effective during writing to BACnet: Defines the priority (highest: 1, lowest 16 = default)

Example: `16`

Additional restrictions:

* Maximum: `16`

## `propertyTag` (integer)

Only effective during writing to BACnet: Forces the data type of the provided value into the provided BACnet type (called propertyTag). The propertyTag is an integer value (enumeration), please see the documentation for the encoding

Example: `4`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cybus.io/2-0-6/documentation/industry-protocol-details/bacnet/bacnetendpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
